LotusStyleManagerInternal::ColorStyle Struct Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
LotusStyleManagerInternal::ColorStyle Struct Reference

small struct used to defined color style More...

## Public Member Functions
| ColorStyle ()
| constructor More...

## Public Attributes
WPSColor | m_colors [4]
| the color id : unknown0, unknown1, line, surface More...
int | m_patternId
| the pattern id More...
WPSGraphicStyle::Pattern | m_pattern
| the pattern More...
std::string | m_extra
| extra data More...

## Friends
std::ostream & | operator<< (std::ostream &o, ColorStyle const &color)
| operator<< More...

## Detailed Description

small struct used to defined color style

## Constructor & Destructor Documentation

## ◆ ColorStyle()

LotusStyleManagerInternal::ColorStyle::ColorStyle | ( |  | ) |
| inline

constructor

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | ColorStyle const & | color
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_colors

WPSColor LotusStyleManagerInternal::ColorStyle::m_colors[4]

the color id : unknown0, unknown1, line, surface

Referenced by ColorStyle(), LotusStyleManager::readCellStyleD2Data(), LotusStyleManager::readCellStyleE6(), LotusStyleManager::readColorStyle(), and LotusStyleManager::updateSurfaceStyle().

## ◆ m_extra

std::string LotusStyleManagerInternal::ColorStyle::m_extra

extra data

Referenced by LotusStyleManager::readColorStyle().

## ◆ m_pattern

WPSGraphicStyle::Pattern LotusStyleManagerInternal::ColorStyle::m_pattern

the pattern

Referenced by LotusStyleManager::readColorStyle().

## ◆ m_patternId

int LotusStyleManagerInternal::ColorStyle::m_patternId

the pattern id

Referenced by LotusStyleManager::readCellStyleD2Data(), LotusStyleManager::readCellStyleE6(), LotusStyleManager::readColorStyle(), and LotusStyleManager::updateSurfaceStyle().

The documentation for this struct was generated from the following file:

- LotusStyleManager.cpp